import service from '@/utils/request'

export const getUserApplyList = (data) => {
    return service({
        url: "/admin/getUserApplyList",
        method: 'post',
        data
    })
}

export const getUserApplyConfirmList = (data) => {
    return service({
        url: "/admin/getUserApplyConfirmList",
        method: 'post',
        data
    })
}


export const getUserApplyInfo = (data) => {
    return service({
        url: "/admin/getUserApplyInfo",
        method: 'post',
        data
    })
}

export const confirmUserApplyImg = (data) => {
    return service({
        url: "/admin/confirmUserApplyImg",
        method: 'post',
        data
    })
}

export const confirmUserApplyConfirm = (data) => {
    return service({
        url: "/admin/confirmUserApplyConfirm",
        method: 'post',
        data
    })
}

export const getUserApplyUnConfirmList = (data) => {
    return service({
        url: "/admin/getUserApplyUnConfirmList",
        method: 'post',
        data
    })
}

export const getTrainExamList = (data) => {
    return service({
        url: "/admin/getTrainExamList",
        method: 'post',
        data
    })
}

export const getTrainPlanList = (data) => {
    return service({
        url: "/admin/getTrainPlanList",
        method: 'post',
        data
    })
}




export const postData = (action, data) => {
    return service({
        url: `/admin/${action}`,
        method: 'post',
        data
    })
}